header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--barva-nadpisu);
    color: white;
    padding: 20px 40px;
    position: relative;
}

header h1 {
    margin: 0;
    font-size: var(--nadpis-h3);
    color: white; /* Tímto přebijeme to globální tmavé nastavení */
}

.logo-kontejner {
    display: flex;
    align-items: center; 
    gap: 15px;           
}

.logo-img {
    height: 50px;        
    width: auto;         
}

.hlavni-menu {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 30px;
}

.hlavni-menu a {
    color: white;
    text-decoration: none;
    font-family: var(--font-text);
    font-weight: var(--tloustka-tucne);
    font-size: var(--text-zaklad);
    transition: color 0.3s;
}

.hlavni-menu a:hover, 
.hlavni-menu a.active {
    color: var(--barva-hlavni); 
}

.menu-toggle {
    display: none;
}

@media (max-width: 900px) {
    .menu-toggle {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        width: 30px;
        height: 25px;
        background: transparent;
        border: none;
        cursor: pointer;
        z-index: 101;
    }

    .menu-toggle span {
        width: 100%;
        height: 3px;
        background-color: #ffffff; 
        border-radius: 10px;
        transition: 0.3s;
    }

    .hlavni-menu {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: #ffffff;
        position: absolute;
        top: 100%;
        left: 0;
        z-index: 100;
        gap: 0; 
    }

    .hlavni-menu.aktivni {
        display: flex;
    }

    .hlavni-menu li a {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 60px;
        width: 100%;
        color: var(--barva-hlavni);
        border-bottom: 1px solid var(--barva-pozadi-seda);
    }

    .hlavni-menu li a:active {
        background-color: var(--barva-pozadi-seda);
    }
}